package jp.gihyo.myapp.presentation.task

import jp.gihyo.myapp.domain.task.Task
import jp.gihyo.myapp.presentation.layout.LayoutJsonView

object TaskJsonView {
    fun list(taskList: List<Task>): Map<String, Any?> {
        return LayoutJsonView.success(mapOf(
            "tasks" to taskList.map {
                mapOf(
                    "id" to it.id,
                    "name" to it.name,
                    "created_at" to
                            it.createdAt?.toString(),
                    "updated_at" to
                            it.updatedAt?.toString()
                )
            }
        ))
    }
}
