package jp.gihyo.spring.webflux

import org.springframework.stereotype.Component
import java.util.*
import java.text.SimpleDateFormat
import java.text.DateFormat



@Component
class LessonRepository() {
    companion object {
        var formatter: DateFormat = SimpleDateFormat("yyyy-MM-dd")

        val lessonList = listOf(
            Lesson(1, 3L, formatter.parse("2018-09-08")),
            Lesson(2, 1L, formatter.parse("2018-11-01")),
            Lesson(3, 2L, formatter.parse("2018-11-01")),
            Lesson(4, 3L, formatter.parse("2018-11-01")),
            Lesson(5, 1L, formatter.parse("2018-12-01")),
            Lesson(6, 2L, formatter.parse("2019-01-31")),
            Lesson(7, 3L, formatter.parse("2019-01-31")),
            Lesson(8, 1L, formatter.parse("2018-02-22")),
            Lesson(9, 2L, formatter.parse("2019-02-22")),
            Lesson(10, 3L, formatter.parse("2019-02-22"))
        )
    }

    fun findByDate(date: Date): List<Lesson> {
        return lessonList.filter { it.date == date }
    }
}