package jp.gihyo.spring.webflux

import org.springframework.stereotype.Component

@Component
class MemberRepository {
    companion object {
        val memberList = listOf(
            Member(1L, "First"),
            Member(2L, "Second"),
            Member(3L, "Third")
        )
    }

    fun findAll(): List<Member> {
        return memberList
    }

    fun findOne(id: Long): Member? {
        return memberList.find { it.id == id }
    }
}