package jp.co.gihyo.test.kotlintest.bdd

// KotlinTest を使用した BDD スタイル
import io.kotlintest.*
import io.kotlintest.specs.*

class KotlinTestBDDStyleTest : BehaviorSpec({
    Given("ユーザは 1 を入力する") {
        val one = 1
        When("ユーザは 2 を加算する") {
            val two = 2
            val result = one + two
            Then("ユーザは 3 を得ること") {
                result should be(3)
            }
        }
    }
})