package jp.gihyo.test.mockitokotlin

import org.junit.*
import org.junit.runner.*
import org.mockito.*
import org.mockito.junit.*

// アノテーションのモック処理を初期化するための JUnit ランナー
@RunWith(MockitoJUnitRunner::class)
class MockAnnotationTest {
    @Mock // モックを生成
    private lateinit var accountRepository: AccountRepository

    @InjectMocks // コンストラクタにモックを挿入
    private lateinit var accountService: AccountServiceImpl

    @Test
    fun test() {
        // test code
    }
}