package jp.gihyo.test.mockitokotlin

import com.nhaarman.mockitokotlin2.*
import org.junit.*
import org.junit.Assert.*
import org.junit.runner.*
import org.mockito.*
import org.mockito.junit.*

@RunWith(MockitoJUnitRunner.StrictStubs::class)
class PotentialStubbingProblemTest {
    @Mock
    private lateinit var accountRepository: AccountRepository

    @InjectMocks
    private lateinit var accountService: AccountServiceImpl

    @Test
    fun `Given id 1 When findById Then name "Alice"`() {
        whenever(accountRepository.findById(1)).thenReturn(Account("Alice"))
        assertEquals("Alice", accountService.findById(2).name) // スタブ引数と異なる
    }
}