package jp.gihyo.interop.part_1.section_3_1;

// Kotlin から Java を利用する
// プラットフォーム型をnull許容型・null非許容型として扱う
// NonNullアノテーション

import javax.annotation.Nonnull;

public class JavaClass {
    @Nonnull
    public Integer nonnullValue = 1;

    @Nonnull
    public Integer nonnullFunction() {
        @Nonnull Integer resultValue = 1;
        return resultValue;
    }

    @Nonnull
    public Integer sum(
            @Nonnull Integer a, @Nonnull Integer b) {
        return a + b;
    }
}
