package jp.gihyo.interop.part_1.section_3_2;

// Kotlin から Java を利用する
// プラットフォーム型をnull許容型・null非許容型として扱う
// Nullableアノテーション

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public class JavaClass {
    @Nullable
    public Integer nullableValue;

    @Nullable
    public Integer nullableFunction() {
        @Nullable Integer resultValue = null;
        return resultValue;
    }

    @Nonnull
    public Integer sum(@Nullable Integer a, @Nullable Integer b) {
        @Nonnull Integer resultValue = 0;
        if (a != null) resultValue += a;
        if (b != null) resultValue += b;
        return resultValue;
    }
}
