第2章 Kotlin 基本文法 サンプルコード

各見出しごとにファイルを分けています。
ファイル名は下のように、大見出しの番号、中見出しの番号、小見出しの番号を順に並べ、
そのあとに大見出し、中見出し、小見出しのタイトルを並べています。


- 03_01_00_変数と基本の型_変数定義.kt
- 03_02_00_変数と基本の型_数値、真偽値、文字・文字列.kt
- 03_03_00_変数と基本の型_配列型.kt
- 03_04_01_変数と基本の型_コレクション型_List.kt
- ...

誌面で省略しているmain関数も含めたコードとなっています。。
検証のためのコードも追加しています。

たとえば`03_03_00_変数と基本の型_配列型.kt`の内容は次のとおりです。

```
package jp.gihyo.base_03_03_00

fun main(args: Array<String>) {
    val array1 = arrayOf(1, 2, 3)  // 1, 2, 3

    /* 検証コード */
    println(array1.joinToString())

    val array2 = Array(3) { 0 }  // 0, 0, 0

    /* 検証コード */
    println(array2.joinToString())

    val array3 = Array(3) { it * 2 }  // 0, 2, 4

    /* 検証コード */
    println(array3.joinToString())
}
```

コルーチンのコードを除いて、
これらのコードを[Try Kotlin](http://try.kotlinlang.org/)に
コピー＆ペーストするとそのまま動作します。
IntelliJ IDEA で開けば、 そのままmain関数を実行して確認できます。

コルーチンのサンプルコードを実行する場合は依存関係を追加して実行してください。

または、このプロジェクトを IntelliJ IDEA でインポートすれば
そのまま実行できます。