# 第3章 Kotlin と Spring によるアプリケーション開発 前半 サンプルコード

各見出しごとにコメントを追加しています。
コメントは大見出しの番号、大見出し、中見出しの番号、中見出し、小見出しの番号、小見出し
という順に記述しています。
小見出しがないものは省略しています。

たとえば "Model のキーアクセス" については次のようなコメントになっています。

```
    // 01 Kotlin と Spring Framework
    // 04 Spring の null安全対応
    // 03 Model のキーアクセス
    @GetMapping
    fun index(model: Model): String {
        model["key"] = "value"
        return "index"
    }
```

このプロジェクトは2つのサブモジュールから成り立っています。
各モジュールの位置づけは次の通りです。

* mvc

    "WebFlux とそのルーティング" を除く
    他のサンプルコードを含んでいます。
    
    この README.md と同じディレクトリで
    `./gradlew mvc:bootrun` を実行すると
    起動できます。
    
    Kotlin に対応する Java のコードも
    できるだけ載せています。

* webflux

    "WebFlux とそのルーティング" の
    サンプルコードを含んでいます。
    
    この README.md と同じディレクトリで
    `./gradlew webflux:bootrun` を実行すると
    起動できます。


